[arch-commits] Commit in transmission/trunk (ChangeLog PKGBUILD transmission.install)

Roman Kyrylych roman at archlinux.org
Sun May 25 07:08:53 EDT 2008


    Date: Sunday, May 25, 2008 @ 07:08:53
  Author: roman
Revision: 2106

upgpkg: transmission 1.21-1

Modified:
  transmission/trunk/ChangeLog
  transmission/trunk/PKGBUILD
  transmission/trunk/transmission.install

----------------------+
 ChangeLog            |    5 -----
 PKGBUILD             |    8 +++++---
 transmission.install |   19 ++++++++++++++++++-
 3 files changed, 23 insertions(+), 9 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-05-25 02:46:46 UTC (rev 2105)
+++ ChangeLog	2008-05-25 11:08:53 UTC (rev 2106)
@@ -1,8 +1,3 @@
-2008-04-30  Eric Belanger  <eric at archlinux.org>
-
-	* transmission 1.11-1
-	* Upstream update
-
 2008-01-07  Varun Acharya <varun at archlinux.org>
 
 	* 1.00-1 :

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-25 02:46:46 UTC (rev 2105)
+++ PKGBUILD	2008-05-25 11:08:53 UTC (rev 2106)
@@ -3,19 +3,21 @@
 # Contributor: Alessio 'mOLOk' Bolognino <themolok at gmail.com>
 
 pkgname=transmission
-pkgver=1.11
+pkgver=1.21
 pkgrel=1
 pkgdesc="A free, lightweight BitTorrent client with an intuitive interface"
 arch=('i686' 'x86_64')
 url="http://transmission.m0k.org"
 license=('MIT')
 makedepends=('gtk2')
-depends=('openssl' 'libevent')
+depends=('openssl' 'curl')
+makedepends=('gtk2' 'libnotify')
 backup=(etc/conf.d/transmissiond)
 install=transmission.install
 source=(http://download.m0k.org/transmission/files/transmission-$pkgver.tar.bz2 \
     	transmissiond transmissiond.conf)
-md5sums=('4582d7aff489a9425b147634653df1d1' 'b18a412502ac51207c79a4aa4066a686'\
+md5sums=('6ec565ac831484098a2db20ea0ca3ac7'
+         'b18a412502ac51207c79a4aa4066a686'
          '7b019a710493ec4f8b54a1f528e1981d')
 
 build() {

Modified: transmission.install
===================================================================
--- transmission.install	2008-05-25 02:46:46 UTC (rev 2105)
+++ transmission.install	2008-05-25 11:08:53 UTC (rev 2106)
@@ -7,15 +7,24 @@
 
 EOM
 
-LANG=en_US pacman -Q gtk2 2>&1 | grep error &>/dev/null
+LANG=C pacman -Q gtk2 2>&1 | grep error &>/dev/null
 if [ $? = 0 ]; then
 
 cat << EOM
 ==> If you want to run transmission's GUI, install gtk2 package
 
 EOM
+else
+LANG=C pacman -Q libnotify 2>&1 | grep error &>/dev/null
+if [ $? = 0 ]; then
 
+cat << EOM
+==> If you want to see notifications, install libnotify package
+
+EOM
+
 fi
+fi
 
 cat << EOM
 ==> This package now installs /etc/rc.d/transmissiond
@@ -24,6 +33,14 @@
 ==> You have to set the user in /etc/conf.d/transmissiond
 
 EOM
+
+    if [[ ! $2 > 1.11 ]] # if you are upgrading from 1.11 or earlier...
+    then
+        echo -e "\n==> Configuration files are now stored in $XDG_*_HOME/transmission/"
+        echo -e "\n==> See http://trac.transmissionbt.com/ticket/684 for more details."
+        echo -e "\n==> If you don't have Xorg installed - you won't have $XDG_*_HOME variables set,"
+        echo -e "\n==> they are set in /etc/profile.d/xorg.sh which is available in libx11 package."
+    fi
 }
 
 post_upgrade() {





More information about the arch-commits mailing list